Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete voice consent

VoiceConsentDeleted audio().voiceConsents().delete(params = VoiceConsentDeleteParams.none(), requestOptions = RequestOptions.none())
DELETE
/audio/voice_consents/{consent_id}

Deletes a voice consent recording.

Parameters
VoiceConsentDeleteParams params
Returns

Delete voice consent

package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.audio.voiceconsents.VoiceConsentDeleteParams;
import com.openai.models.audio.voiceconsents.VoiceConsentDeleted;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        VoiceConsentDeleted voiceConsentDeleted = client.audio().voiceConsents().delete("consent_id");
    }
}
200 example
{
  "id": "cons_1234",
  "deleted": true,
  "object": "audio.voice_consent"
}
Returns Examples
200 example
{
  "id": "cons_1234",
  "deleted": true,
  "object": "audio.voice_consent"
}